package body MSHTML.DispDOMDocumentType_Object is

   function Get_nodeType
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_nodeType);
   end Get_nodeType;

   function Get_parentNode
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_parentNode);
   end Get_parentNode;

   function hasChildNodes
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispDOMDocumentType_hasChildNodes);
   end hasChildNodes;

   function Get_childNodes
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_childNodes);
   end Get_childNodes;

   function Get_attributes
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_attributes);
   end Get_attributes;

   function insertBefore
     (This     : DispDOMDocumentType_Type;
      newChild : GNATCOM.Types.VARIANT;
      refChild : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_insertBefore,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => refChild,
          2 => newChild),
         Free);
   end insertBefore;

   function removeChild
     (This     : DispDOMDocumentType_Type;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_removeChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => oldChild),
         Free);
   end removeChild;

   function replaceChild
     (This     : DispDOMDocumentType_Type;
      newChild : GNATCOM.Types.VARIANT;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_replaceChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => oldChild,
          2 => newChild),
         Free);
   end replaceChild;

   function cloneNode
     (This  : DispDOMDocumentType_Type;
      fDeep : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_cloneNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => fDeep),
         Free);
   end cloneNode;

   function removeNode
     (This  : DispDOMDocumentType_Type;
      fDeep : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_removeNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => fDeep),
         Free);
   end removeNode;

   function swapNode
     (This      : DispDOMDocumentType_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_swapNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => otherNode),
         Free);
   end swapNode;

   function replaceNode
     (This        : DispDOMDocumentType_Type;
      replacement : GNATCOM.Types.VARIANT;
      Free        : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_replaceNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => replacement),
         Free);
   end replaceNode;

   function appendChild
     (This     : DispDOMDocumentType_Type;
      newChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_appendChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => newChild),
         Free);
   end appendChild;

   function Get_nodeName
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_nodeName);
   end Get_nodeName;

   procedure Put_nodeValue
     (This : DispDOMDocumentType_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispDOMDocumentType_Put_nodeValue,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_nodeValue;

   function Get_nodeValue
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_nodeValue);
   end Get_nodeValue;

   function Get_firstChild
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_firstChild);
   end Get_firstChild;

   function Get_lastChild
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_lastChild);
   end Get_lastChild;

   function Get_previousSibling
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_previousSibling);
   end Get_previousSibling;

   function Get_nextSibling
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_nextSibling);
   end Get_nextSibling;

   function Get_ownerDocument
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_ownerDocument);
   end Get_ownerDocument;

   procedure Put_prefix
     (This : DispDOMDocumentType_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispDOMDocumentType_Put_prefix,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_prefix;

   function Get_prefix
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_prefix);
   end Get_prefix;

   function Get_localName
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_localName);
   end Get_localName;

   function Get_namespaceURI
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_namespaceURI);
   end Get_namespaceURI;

   procedure Put_textContent
     (This : DispDOMDocumentType_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispDOMDocumentType_Put_textContent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textContent;

   function Get_textContent
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_textContent);
   end Get_textContent;

   function isEqualNode
     (This      : DispDOMDocumentType_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_isEqualNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => otherNode),
         Free);
   end isEqualNode;

   function lookupNamespaceURI
     (This       : DispDOMDocumentType_Type;
      pvarPrefix : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_lookupNamespaceURI,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pvarPrefix),
         Free);
   end lookupNamespaceURI;

   function lookupPrefix
     (This             : DispDOMDocumentType_Type;
      pvarNamespaceURI : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_lookupPrefix,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pvarNamespaceURI),
         Free);
   end lookupPrefix;

   function isDefaultNamespace
     (This          : DispDOMDocumentType_Type;
      pvarNamespace : GNATCOM.Types.VARIANT;
      Free          : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_isDefaultNamespace,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pvarNamespace),
         Free);
   end isDefaultNamespace;

   function ie9_appendChild
     (This     : DispDOMDocumentType_Type;
      newChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_ie9_appendChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => newChild),
         Free);
   end ie9_appendChild;

   function ie9_insertBefore
     (This     : DispDOMDocumentType_Type;
      newChild : GNATCOM.Types.VARIANT;
      refChild : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_ie9_insertBefore,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => refChild,
          2 => newChild),
         Free);
   end ie9_insertBefore;

   function ie9_removeChild
     (This     : DispDOMDocumentType_Type;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_ie9_removeChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => oldChild),
         Free);
   end ie9_removeChild;

   function ie9_replaceChild
     (This     : DispDOMDocumentType_Type;
      newChild : GNATCOM.Types.VARIANT;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_ie9_replaceChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => oldChild,
          2 => newChild),
         Free);
   end ie9_replaceChild;

   function isSameNode
     (This      : DispDOMDocumentType_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_isSameNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => otherNode),
         Free);
   end isSameNode;

   function compareDocumentPosition
     (This      : DispDOMDocumentType_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_compareDocumentPosition,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => otherNode),
         Free);
   end compareDocumentPosition;

   function isSupported
     (This    : DispDOMDocumentType_Type;
      feature : GNATCOM.Types.VARIANT;
      version : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMDocumentType_isSupported,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => version,
          2 => feature),
         Free);
   end isSupported;

   function Get_name
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_name);
   end Get_name;

   function Get_entities
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_entities);
   end Get_entities;

   function Get_notations
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_notations);
   end Get_notations;

   function Get_publicId
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_publicId);
   end Get_publicId;

   function Get_systemId
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_systemId);
   end Get_systemId;

   function Get_internalSubset
     (This : DispDOMDocumentType_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMDocumentType_Get_internalSubset);
   end Get_internalSubset;

end MSHTML.DispDOMDocumentType_Object;

